import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * photo taken from creative commons
 * @author Michael Kölling
 * @version 0.1
 */
public class Purpledrank extends World
{
    private int score; 
    private int time; 

    /**
     * Constructor: Set up the staring objects.
     */
    public Purpledrank()
    {    
        super(780, 360, 1); 
        score = 0;
        showScore();
        prepare();
        setPaintOrder(Cup.class); 
        time = 2000;
        showTime();
        
    }

    /**
     * Create new floating objects at irregular intervals.
     */
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 3)
        {
            addObject(new Staplegun(), 779, Greenfoot.getRandomNumber(360));
        }
        
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Polarbear(), 779, 0);
        }
        
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Polarbear(), 779, 359);
        }
        
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new Joebudden(), 779, Greenfoot.getRandomNumber(360));
        }
        
        if (Greenfoot.getRandomNumber(100) < 6)
        {
            addObject(new Money(), 779, Greenfoot.getRandomNumber(360));
        }
        countTime();
    }
    /**
     * Add some points to our current score. (May be negative.)
     * If the score falls below 0, game's up.
     */
    public void addScore(int points)
    {
        score = score + points;
        showScore();
        if (score < 0) 
        {
            Greenfoot.playSound("Toiletflush.wav");
            Greenfoot.stop();
        }
    }
    /**
     * Show our current score on screen.
     */
    private void showScore()
    {
        showText("Score: " + score, 80, 25);
    }
    /**
     * Show the end-of-game message on screen.
     */
    private void showEndMessage()
    {
        showText("Time is up - you win!" , 390, 150);
        showText("Your final score: " + score + " points", 390, 170);
    }
    
    
    /**
     * Prepare the world for the start of the program. In this case: Create
     * a white blood cell and the lining at the edge of the blood stream.
     */
    private void prepare()
    {
        lilUzi liluzi = new lilUzi();
        addObject(liluzi, 100, 179);
        Polarbear lining = new Polarbear();
        addObject(lining, 126, 1);
        Polarbear lining2 = new Polarbear();
        addObject(lining2, 342, 5);
        Polarbear lining3 = new Polarbear();
        addObject(lining3, 589, 2);
        Polarbear lining4 = new Polarbear();
        addObject(lining4, 695, 5);
        Polarbear lining5 = new Polarbear();
        addObject(lining5, 114, 359);
        Polarbear lining6 = new Polarbear();
        Polarbear lining7 = new Polarbear();
        addObject(lining7, 295, 353);
        Polarbear lining8 = new Polarbear();
        Polarbear lining9 = new Polarbear();
        Polarbear lining10 = new Polarbear();
        addObject(lining10, 480, 358);
        Polarbear lining11 = new Polarbear();
        addObject(lining11, 596, 359);
        Polarbear lining12 = new Polarbear();
        addObject(lining12, 740, 354);
        
        Cup border = new Cup (); 
        addObject(border, 0, 180);
        Cup border2 = new Cup(); 
        addObject(border2, 770, 180);
    }
    private void countTime()
    {
        time--;
        showTime();
        if (time == 0)
        {
            showEndMessage();
            Greenfoot.stop();
        }
    }
    private void showTime()
    {
        showText("Time: " + time, 700, 25);
    }
}
